[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.MessageHandler

Handles the messages sent to a docksite.

## Declaration

Source position: controls.pp line 677

`public procedure TDockManager.MessageHandler(`
`Sender: TControl;`
`var Message: TLMessage`
`); virtual;`

## Arguments

`Message` |  | The message to be processed.

## Description

This handler must handle all mouse messages, related to the client area of the docksite that is not covered by docked controls (dock headers, et. al.).

Handling mouse messages while dragging is not required. Painting of the docksite has to be implemented in PaintSite.

## See also

TDockManager.PaintSite |  | Handles special painting of the docksite.